LibreOffice: XContainerWindowProvider Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XContainerWindowProvider Interface Reference

provides container windows implementing the com::sun::star::awt::XWindow interface. More...

`import "XContainerWindowProvider.idl";`

Inheritance diagram for XContainerWindowProvider:

## Public Member Functions
com::sun::star::awt::XWindow | createContainerWindow ([in] string URL, [in] string WindowType, [in] com::sun::star::awt::XWindowPeer xParent, [in] com::sun::star::uno::XInterface xHandler) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a window for the given URL
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides container windows implementing the com::sun::star::awt::XWindow interface.

## Member Function Documentation

## ◆ createContainerWindow()

com::sun::star::awt::XWindow createContainerWindow | ( | [in] string | URL,
|  | [in] string | WindowType,
|  | [in] com::sun::star::awt::XWindowPeer | xParent,
|  | [in] com::sun::star::uno::XInterface | xHandler )
raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |

creates a window for the given URL

Parameters

  URL | is the URL.
  WindowType | Type of Window to be created, for future use, not supported yet
  xParent | a valid XWindowPeer reference which is used as a parent. This parameter must not be null.
  xHandler | is the interface that will be called to handle the Events that are generated by the window (and all controls placed on it) and bound to the handler using a vnd.sun.star.UNO URL specifying a handler method to be called. Usually this will be done directly by the user.

xHandler can handle events in two different ways:

1. By supporting the com::sun::star::awt::XContainerWindowEventHandler interface. This is a generic interface to accept event notifications.
2. By providing interfaces that directly implement the handler methods to be called. The XContainerWindowProvider implementation then will try to access these events using the com::sun::star::beans::IntrospectionIntrospection service. To make this possible the handler implementation also has to support com::sun::star::lang::XTypeProvider.

If XContainerWindowEventHandler is supported XContainerWindowEventHandler.callHandlerMethod() is always called first to handle the event. Only if the event cannot be handled by XContainerWindowEventHandler (callHandlerMethod() then has to return false) or if XContainerWindowEventHandler is not supported at all the Introspection based access will be used.

The Introspection based access tries to call a method named according to the HandlerMethodName specified by a `vnd.sun.star.UNO:HandlerMethodName` URL. First a method

void HandlerMethodName( [in] com::sun::star::awt::XWindow xWindow, [in] any aEvent )

will be searched. The signature is similar to XContainerWindowEventHandler. callHandlerMethod except for MethodName itself that isn't needed here. For more information about these parameters, see com::sun::star::awt::XContainerWindowEventHandler.

If this method is found, it will be called, otherwise a method

void HandlerMethodName( void )

will be searched and called.

Returns
  a window implementing the com::sun::star::awt::XWindow interface.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if no window for the given URL is found or if the URL is invalid or xParent is null.

See also
  com::sun::star::awt::XContainerWindowEventHandler

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XContainerWindowProvider.idl